<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Session extends Model
{
    protected $table = 'sessions';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = array('name','image', 'description', 'cost');
    
    public function branch()
    {
        return $this->belongsToMany('App\Branch','session_branches','session_id','branch_id');
    }
}
